develooper Front page | perl.perl5.porters | Postings from November 2000

[ID 20001108.006] 5.6.0 installation on SunOS 5.8

Thread Next
From:
Daywan Singh
Date:
November 8, 2000 09:35
Subject:
[ID 20001108.006] 5.6.0 installation on SunOS 5.8
Message ID:
3A098E72.40FF0FBD@lucent.com
Failed 23 test scripts out of 184, 87.50% okay.
   ### Since not all tests were successful, you may want to run some
   ### of them individually and examine any diagnostic messages they
   ### produce.  See the INSTALL document's section on "make test".
   ### If you are testing the compiler, then ignore this message 
   ### and run 
   ###      ./perl harness
   ### in the directory ./t.
u=1.2  s=1.19  cu=35.12  cs=10.98  scripts=184  tests=10066
*** Error code 1
make: Fatal error: Command failed for target `test'
/home/piisup/lib/perl-5.6.0>make install
make: Warning: Both `makefile' and `Makefile' exist
        AutoSplitting perl library
./miniperl -Ilib -e 'use AutoSplit; \
        autosplit_lib_modules(@ARGV)' lib/*.pm lib/*/*.pm
sh writemain lib/auto/DynaLoader/DynaLoader.a  > writemain.tmp
sh mv-if-diff writemain.tmp perlmain.c
I tried to install Perl 5.6.0 on SunOS 5.8. During the 'make' phase, there were
'Undefined Symbols' which I cured it by editing the makefile to include libm and
libsocket: miniperl and perlmain were then compiled OK. Subsequently, i got the
following errors.


File perlmain.c not changed.

        Making DynaLoader (static)
 
        Making utilities
 
        Making x2p stuff
make: Warning: Both `makefile' and `Makefile' exist
Current working directory /home/piisup/lib/perl-5.6.0/x2p
 

        Making Errno (nonxs)
 
        Everything is up to date. 'make test' to run test suite.
if [ -n "" ]; \
then \
        cd utils; /usr/ccs/bin/make compile; \
        cd ../x2p; /usr/ccs/bin/make compile; \
        cd ../pod; /usr/ccs/bin/make compile; \
else :; \
fi
./perl installperl 
Can't locate File/Glob.pm in @INC (@INC contains: lib) at installperl line 66.
BEGIN failed--compilation aborted at installperl line 66.
*** Error code 2
make: Fatal error: Command failed for target `install.perl'

I wonder if you can throw some light on this to enable me to install Perl 5.6.0
+ libxml, which is the ultimate goal ?

Daywan Singh
singhd@lucent.com
tel: 01666 83 2305


Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About